# $Revision: 1.101 $, $Date: 2012/02/08 14:29:18 $
# TODO
# - where to install libpdf_java.so? %{_libdir} does not seem to be good
#   choice. BTW what is standard java.library.path in other distros?
# - do we really need to package libpdf_(binding).so.*? libpdf_(binding).so
#   should be enough for python, perl and tcl. -- patch linking with -avoid-version
# - fix install so that executable perms are preserved
#
# Conditional build:
%bcond_without	java	# Java binding

%ifnarch i586 i686 pentium3 pentium4 athlon %{x8664}
%undefine       with_java
%endif

%define		skip_post_check_so	pdflib_pl.so.0.0.0 pdflib_tcl.so.0.0.0 pdflib_py.so.0.0.0

%include	/usr/lib/rpm/macros.perl
Summary:	Portable C library for dynamically generating PDF files
Summary(pl.UTF-8):	Przenośna biblioteka C do dynamicznego generowania plików PDF
Name:		pdflib
Version:	4.0.3
Release:	25
License:	Aladdin Free Public License
Group:		Libraries
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	1b9e0d16f3e695902301aa26b6e92513
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-shared-libs.patch
Patch2:		%{name}-perl_paths.patch
Patch3:		%{name}-pdflib_pl_pm_VERSION.patch
Patch4:		%{name}-ac.patch
Patch5:		%{name}-build.patch
Patch6:		%{name}-libpng.patch
URL:		http://www.pdflib.com/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_java:BuildRequires:	jdk >= 1.4}
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules >= 2.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpm-pythonprov
BuildRequires:	tcl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define tcl_ver %(echo `echo "puts [info tclversion]" | tclsh`)

%description
PDFlib is a C library for generating PDF files. It offers a graphics
API with support for drawing, text, fonts, images, and hypertext. Call
PDFlib routines from within your client program and voila: dynamic PDF
files! For detailed instructions on PDFlib programming and the
associated API, see the PDFlib Programming Manual, included in PDF
format in the PDFlib distribution.

%description -l pl.UTF-8
PDFlib to biblioteka w C do generowania plików PDF. Oferuje ona API do
obsługi grafiki ze wsparciem dla rysowania, tekstów, fontów, obrazków
oraz hipertekstu.

%package devel
Summary:	Header file for pdflib
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pdflib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpng-devel >= 1.0.8
Requires:	libtiff-devel

%description devel
This package contains the files needed for compiling programs using
the PDF library.

%description devel -l pl.UTF-8
Pakiet zawiera pliki potrzebne do kompilacji programów używających
biblioteki PDF.

%package static
Summary:	Static pdflib library
Summary(pl.UTF-8):	Statyczna biblioteka pdflib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pdflib library.

%description static -l pl.UTF-8
Statyczna biblioteka pdflib.

%package java
Summary:	Java bindings for pdflib
Summary(pl.UTF-8):	Dowiązania Javy do pdflib
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description java
Java bindings for pdflib.

%description java -l pl.UTF-8
Dowiązania Javy do pdflib.

%package perl
Summary:	Perl bindings for pdflib
Summary(pl.UTF-8):	Dowiązania Perla do pdflib
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Obsoletes:	pdflib-perl5

%description perl
Perl bindings for pdflib.

%description perl -l pl.UTF-8
Dowiązania Perla do pdflib.

%package tcl
Summary:	Tcl bindings for pdflib
Summary(pl.UTF-8):	Dowiązania Tcl do pdflib
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}-%{release}
Obsoletes:	pdflib-tcl8.0

%description tcl
Tcl bindings for pdflib.

%description tcl -l pl.UTF-8
Dowiązania Tcl dla pdflib.

%package python
Summary:	Python bindings for pdflib
Summary(pl.UTF-8):	Dowiązania pythona dla pdflib
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python
Obsoletes:	pdflib-python1.5

%description python
Python bindings for pdflib.

%description python -l pl.UTF-8
Dowiązania pythona dla pdflib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-cxx \
	--enable-shared-pdflib \
	%{?with_java:--with-java=%{java_home}}%{!?with_java:--without-java} \
	--with-py=%{py_sitedir} \
	--with-pyincl=%{py_incdir} \
	--with-perl=%{__perl} \
	--with-perlincl=%{perl_archlib}/CORE \
	--with-tcl=%{_bindir}/tclsh \
	--with-tclpkg=%{_libdir}/tcl%{tcl_ver} \
	--with-zlib \
	--with-pnglib \
	--with-tifflib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p bind/cpp/pdflib.hpp $RPM_BUILD_ROOT%{_includedir}

%if %{with java}
install -d $RPM_BUILD_ROOT%{_javadir}
cp -p bind/java/pdflib.jar $RPM_BUILD_ROOT%{_javadir}
rm -f $RPM_BUILD_ROOT%{_libdir}/libpdf_java.{la,a}
%endif

rm -f $RPM_BUILD_ROOT{%{perl_vendorarch},%{_libdir}/tcl*/pdflib,%{py_libdir}/lib-dynload}/pdflib*.{la,a}

# ensure soname deps are generated
find $RPM_BUILD_ROOT -name '*.so*' | xargs chmod +x

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	java -p /sbin/ldconfig
%postun	java -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt doc/{changes,compatibility,readme_unix}.txt
%doc doc/aladdin-license.pdf
%attr(755,root,root) %{_libdir}/libpdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpdf.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/PDFlib-manual.pdf
%attr(755,root,root) %{_bindir}/pdflib-config
%attr(755,root,root) %{_libdir}/libpdf.so
%{_libdir}/libpdf.la
%{_includedir}/pdflib.h
%{_includedir}/pdflib.hpp

%files static
%defattr(644,root,root,755)
%{_libdir}/libpdf.a

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpdf_java.so
%attr(755,root,root) %{_libdir}/libpdf_java.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpdf_java.so.0
%{_javadir}/pdflib.jar
%endif

%files perl
%defattr(644,root,root,755)
%{perl_vendorarch}/pdflib_pl.pm
%attr(755,root,root) %{perl_vendorarch}/pdflib_pl.so*

%files tcl
%defattr(644,root,root,755)
%dir %{_libdir}/tcl*/pdflib
%attr(755,root,root) %{_libdir}/tcl*/pdflib/pdflib_tcl.so*
%{_libdir}/tcl*/pdflib/pkgIndex.tcl

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{py_libdir}/lib-dynload/pdflib_py.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pdflib.spec,v $
Revision 1.101  2012/02/08 14:29:18  adamg
- release 25 (rebuild against libpng-1.5)

Revision 1.100  2012/01/13 14:50:16  arekm
- release 24

Revision 1.99  2011/12/20 19:41:48  arekm
- release 23

Revision 1.98  2011/05/24 13:35:46  glen
- todo update

Revision 1.97  2011/05/24 13:33:48  glen
- release 22

Revision 1.96  2011/05/24 13:33:32  glen
- SONAME deps were not generated for any package
- package pdf java library, not just dead symlink

Revision 1.95  2011/01/29 00:07:09  sparky
- dropped pre-cvs changelog

Revision 1.94  2010/11/25 11:03:05  hawk
- added skip_post_check_so to allow build

Revision 1.93  2010/07/09 11:20:44  arekm
- release 20

Revision 1.92  2010/06/06 08:53:29  arekm
- release 19

Revision 1.91  2010/03/01 09:57:25  hawk
- release 18

Revision 1.90  2010/03/01 09:51:58  hawk
- libpng 1.4 fix, hopefully will fix php4

Revision 1.89  2010/02/08 23:48:40  pawelz
- TODO
  + where to install libpdf_java.so? %{_libdir} does not seem to be good
    choice. BTW what is standard java.library.path in other distros?
  + do we really need to package libpdf_(binding).so.*? libpdf_(binding).so
    should be enough for python, perl and tcl.

Revision 1.88  2010/02/08 23:44:37  pawelz
- don't package pdflib_java.so.1 and pdflib_java.so.*.*.*. pdflib_java.so is
  enough, because it is dlopen()en by jvm.

Revision 1.87  2010/02/08 16:13:32  pawelz
- %ghost so symlinks

Revision 1.86  2010/02/08 16:04:50  pawelz
- rel 17

Revision 1.85  2009/08/20 11:03:13  arekm
- release 16

Revision 1.84  2008/10/20 18:29:05  arekm
- rel 15; fix build

Revision 1.83  2008/10/15 16:34:42  qboosh
- respect --without java (it's enabled by default in configure)

Revision 1.82  2008/10/15 14:46:03  sls
- --with-java needs java_home

Revision 1.81  2008/10/15 14:31:32  sls
- not using config/aclocal.m4
- added ac.patch

Revision 1.80  2008/02/23 19:44:23  glen
- release 14

Revision 1.79  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.78  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.77  2007/01/28 15:32:10  qboosh
- java on i586+/x86_64 only

Revision 1.76  2007/01/28 14:46:32  arekm
- undefine earlier

Revision 1.75  2007/01/28 14:45:06  arekm
- no java on 486, too

Revision 1.74  2007/01/28 13:42:52  arekm
- rel 12; disable java on ppc

Revision 1.73  2006/10/27 20:52:16  qboosh
- removed outdated Source0 URL; there are only PDFLib Lite 6 and 7 available now

Revision 1.72  2006/10/27 20:28:27  qboosh
- release 11

Revision 1.71  2006/10/27 20:28:10  qboosh
- include .so symlinks for binding modules (-avoid version should be used in fact)

Revision 1.70  2006/10/27 20:23:41  qboosh
- BR: rpm-pythonprov

Revision 1.69  2006/10/27 20:18:49  qboosh
- -devel deps

Revision 1.68  2006/10/27 20:16:14  qboosh
- added java package, kill static modules

Revision 1.67  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.66  2004/12/29 12:26:25  radek
- release 10: include macros.perl, removed in -r1.62

Revision 1.65  2004/12/26 17:22:03  saq
- release 9 for rebuild with python 2.4

Revision 1.64  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.63  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.62  2004/08/27 18:33:33  pluto
- libpdf_java* removed from main pkg.
- TODO added.

Revision 1.61  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.60  2004/06/03 11:00:50  ankry
- removed workaround

Revision 1.59  2004/06/03 10:35:18  radek
- release 8: added -pdflib_pl_pm_VERSION.patch

Revision 1.58  2004/06/02 22:32:36  ankry
- workaround for perl provides problem

Revision 1.57  2004/05/12 11:26:10  adgor
- strict internal deps

Revision 1.56  2004/05/09 05:38:36  ankry
- BR fixes, rel. 6

Revision 1.55  2004/01/02 17:52:19  jajcus
- Release: 5 (STBR after AMD64 fixes)

Revision 1.54  2003/12/30 20:16:57  jajcus
- install tcl module in architecture-dependant tcl directory (makes difference on AMD64)

Revision 1.53  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.52  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.51  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/03/15 14:17:47  radek
- prepared for perl-5.8.0; release 4

Revision 1.49  2002/11/25 14:17:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.48  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.47  2002/07/25 16:18:24  qboosh
- fixed broken shared-libs patch; release 3

Revision 1.46  2002/07/25 08:02:29  qboosh
- typo in License name; release 2

Revision 1.45  2002/07/24 19:34:21  qboosh
- updated to 4.0.3 (mostly bugfixes), updated patches (with one more change in
  shared-libs patch to avoid "-s" in `pdflib-config --libs`)
- revised docs, added license text (required by itself)
- removed hacks for libpng 1.2.2 and libtool 1.4*, BR: fixed libtool

Revision 1.44  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.43  2002/06/06 06:22:50  kloczek
- use new %doc.

Revision 1.42  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/26 15:01:45  wiget
allow compilling with libpng 1.2.2; release 3

Revision 1.40  2002/04/11 14:02:07  wrobell
- rel. 2, stb

Revision 1.39  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.38  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.37  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.36  2002/02/12 11:07:38  kloczek
- updated to 4.0.2 (this version is preffered for php 4.1.1).

Revision 1.35  2002/02/06 11:16:55  wrobell
- use %{py_incdir}
- fixed build requirements
- fixed perl module path

Revision 1.34  2002/02/06 08:45:57  kloczek
- more s#%{py_sitedir}#%{py_libdir}#

Revision 1.33  2002/02/06 08:11:40  kloczek
- s#%{py_sitedir}#%{py_libdir}#

Revision 1.32  2002/02/06 07:42:08  kloczek
- added %include missing /usr/lib/rpm/macros.python.

Revision 1.31  2002/02/06 07:34:04  kloczek
- release 3: cleanups and rebuild against python 2.2.

Revision 1.30  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/09/26 12:54:17  qboosh
- adapterized, BuildRequires: automake

Revision 1.28  2001/06/18 04:54:38  kloczek
- BuildRequires: python-devel >= 2.1.

Revision 1.27  2001/05/29 15:02:30  wrobell
- builds with Python 2.1 so release up

Revision 1.26  2001/05/19 04:27:55  kloczek
- updated to 4.0.1.

Revision 1.25  2001/05/12 21:25:21  kloczek
- s/Obsolete/Obsoletes/

Revision 1.24  2001/05/12 21:16:48  kloczek
- added Obsoletes rules for RH packages in subpackages.

Revision 1.23  2001/05/12 08:40:18  qboosh
- patch to link pdflib with system z/png/tiff libraries
  and links bindings with shared libpdf
- one compilation is enough
- changed perms of tcl and python modules to 755
- removed ebcdic/mac/win doc
- release 2

Revision 1.22  2001/05/11 20:04:11  qboosh
- simplifications, removed broken symlink /usr/lib/libpdf_.la
- fixed License - it's not GPL!
TODO:
- use system zlib/libpng/libtiff? now it disables bindings
- link bindings with shared pdflib? "no longer supported"

Revision 1.21  2001/05/10 20:49:46  misiek
- updated to 4.0.0
- added pl translations and summaries
- regenerate libtool stuff

Revision 1.20  2001/05/06 22:26:00  kloczek
- added libtool to BuildRequires.

Revision 1.19  2001/05/04 14:11:56  wiget
- Release 3
- BuildRequires: perl-devel
- run libtoolize
- fix *.la file

Revision 1.18  2001/04/17 12:04:56  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.17  2001/01/23 00:43:23  kloczek
- updated to 3.03.

Revision 1.16  2001/01/22 19:14:34  baggins
- fixed tcl %%files

Revision 1.15  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.14  2000/10/10 16:43:09  wiget
BuildRequires:libpng-devel >= 1.0.8

Revision 1.13  2000/09/16 09:37:45  wrobell
- updated for 3.02
- bindings for C++ are enabled

Revision 1.12  2000/07/29 16:35:43  kloczek
- spec adapterized.

Revision 1.11  2000/07/28 13:58:19  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.10  2000/07/19 20:12:03  baggins
- release 2
- rebuild with libpng 1.0.7

Revision 1.9  2000/06/29 15:33:07  kloczek
- updated to 3.0,
- added perl, tcl, pytyhon and staic subpackages,
- added stipping shared libraries,
- added gzipping %doc,
- %doc moved to devel,
- added DESTDIR style %install (DESTDIR patch),
